Remove workspace member

View as Markdown
Remove a member from the workspace by revoking all their roles. This revokes all active role bindings for the principal in the workspace. By default, this endpoint waits for all roles to be revoked before returning. Use `wait_role_propagation=false` to skip waiting (useful for bulk operations). Example: ``` DELETE /apis/entities/v2/workspaces/ml-team/members/user@example.com ```

Path parameters

workspacestringRequired
principal_idstringRequired

Query parameters

wait_role_propagationbooleanOptionalDefaults to true

If true, wait for roles to propagate before returning (default: true). Set to false for bulk operations.

Response

Successful Response
messagestringDefaults to Resource deleted successfully.
idstring
The ID of the deleted resource.
deleted_atdatetime
The timestamp when the resource was deleted.

Errors

422
Unprocessable Entity Error